package com.ephesoft.dcma.da.property;

import com.ephesoft.dcma.core.common.DomainProperty;

/**
 * Enum for batch instance properties used while sorting on the specified property.
 * 
 * @author Ephesoft
 * @version 1.0
 * @see com.ephesoft.dcma.core.common.DomainProperty
 */
public enum BatchInstanceProperty implements DomainProperty {

	ID("id"), PRIORITY("priority"), REVIEWUSERNAME("reviewUserName"), VALIDATIONUSERNAME("validationUserName"), STATUS("status"),

	// batch instance screen contains description field of batch class instead of name field.
	BATCHCLASSNAME("batchClass.description"),

	BATCHNAME("batchName"), LASTMODIFIED("lastModified"), CREATIONDATE("creationDate"), CURRENTUSERNAME("currentUser");

	private String property;

	/**
	 * @param property
	 */
	BatchInstanceProperty(String property) {
		this.property = property;
	}

	/**
	 * @return the property
	 */
	@Override
	public String getProperty() {
		return property;
	}

}
